% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pre_process.R
\name{fill_sparse_mldata}
\alias{fill_sparse_mldata}
\title{Fill sparse dataset with 0 or '' values}
\usage{
fill_sparse_mldata(mdata)
}
\arguments{
\item{mdata}{The mldr dataset to be filled.}
}
\value{
a new mldr object.
}
\description{
Transform a sparse dataset filling NA values to 0 or '' based on the column
type. Text columns with numeric values will be modified to numerical.
}
\examples{
sparse.toy <- toyml
sparse.toy$dataset$ratt10[sample(100, 30)] <- NA
complete.toy <- fill_sparse_mldata(sparse.toy)
}
\seealso{
Other pre process: 
\code{\link{normalize_mldata}()},
\code{\link{remove_attributes}()},
\code{\link{remove_labels}()},
\code{\link{remove_skewness_labels}()},
\code{\link{remove_unique_attributes}()},
\code{\link{remove_unlabeled_instances}()},
\code{\link{replace_nominal_attributes}()}
}
\concept{pre process}
